import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity('stripe_checkout')
export class StripeCheckoutEntity extends CoreEntity {
    @Column({ default:null, nullable: true, type:"longtext" })
    checkoutSessionData: string;

    @Column({ default:null, nullable: true, type:"longtext" })
    checkoutResponseData: string;

    @Column({ default:null, nullable: true })
    stripeCheckoutStatus: string;

    @Column({ default:null, nullable: true })
    stripeCheckoutID: string;

    @Column({ default:null, nullable: true })
    sessionID: string;

    @Column({ default:null, nullable: true })
    orderID: string;

    @Column({ default:null, nullable: true, type:"longtext" })
    products: string;

    @Column({ default:null, nullable: true, type:"longtext" })
    shippingPackages: string;

    @Column({ default:null, nullable: true })
    paymentStatus: string;

    @Column({ default:null, nullable: true })
    amount_subtotal: string;

    @Column({ default:null, nullable: true })
    amount_total: string;
}
