import { HttpException, HttpStatus, Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { FileUploadsService } from 'src/modules/file-uploads/file-uploads.service';
import { Constants } from 'src/utils/constants';
import { ResponseUtils } from 'src/utils/response.utils';
import { CreateProductStockImportDto } from './dto/create-product-stock-import.dto';
import { UpdateProductStockImportDto } from './dto/update-product-stock-import.dto';
import { ProductStockImport } from './entity/product-stock-import.entity';
import { ProductStockImportRepository } from './product-stock-import.repository';

@Injectable()
export class ProductStockImportService {
    constructor(
        @InjectRepository(ProductStockImportRepository)
        private readonly repository: ProductStockImportRepository,
        private readonly fileService: FileUploadsService,
    ) { }
}
